Subject: Re: Errors cloning over http -- git-clone and cg-clone fail to fetch a reachable object...

From: Nick Hengeveld <[email-masked]>
Date: Mon, 7 Nov 2005 22:31:36 -0800

On Tue, Nov 08, 2005 at 03:37:29PM +1300, Martin Langhoff wrote:

> It definitely looks like it's doing a few requests in parallel and
> getting them mixed up. BTW, this repo is public and sitting on a box
> that doubles up as kernel mirror -- feel free to hit it ;-)

Can you run git-http-fetch after the failure to attempt to pick up where
it left off?  It should fail right away, and hopefully contain less
confusing output from parallel requests.

Was there a request header for pack-9cbe...d3a5.pack earlier in the
output, and were there response headers for successful or failed
requests?

FWIW, I've tried cloning that repository a few times and haven't seen
the problem yet.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.